import { RowData, Table } from '@tanstack/react-table';
import { RefCallback } from 'react';
import { DataGridProps } from './types';
export declare function useDataGrid<TData extends RowData>(): [Table<TData> | null, RefCallback<Table<TData>>];
export declare function DataGrid<TData extends RowData>({ columns, data, total, classNames, styles, height, width, withFixedHeader, striped, withBorder, withColumnBorders, highlightOnHover, horizontalSpacing, verticalSpacing, fontSize, loading, withGlobalFilter, withColumnFilters, withSorting, withPagination, withColumnResizing, withRowSelection, autoResetPageIndex, noFlexLayout, pageSizes, paginationMode, debug, onPageChange, onSearch, onFilter, onSort, onRowSelectionChange, tableRef, initialState, state, onRow, onCell, iconColor, empty, locale, components: { headerWrapper, headerRow, headerCell, bodyWrapper, bodyRow, bodyCell, pagination }, ...others }: DataGridProps<TData>): JSX.Element;
