import { DataGridFilterFn } from '../types';
declare type FilterState = {
    op: BooleanFilterOperator;
    value: boolean;
};
export declare enum BooleanFilterOperator {
    Equals = "eq"
}
export declare type BooleanFilterOptions = {
    title?: string;
    variant?: 'segmented' | 'radio';
    trueLabel?: string;
    falseLabel?: string;
};
export declare const createBooleanFilter: ({ title, variant, trueLabel, falseLabel, }: BooleanFilterOptions) => DataGridFilterFn<any, FilterState>;
export declare const booleanFilterFn: DataGridFilterFn<any, FilterState>;
export {};
